function getSellersCompanyExcludes() {
  return [
    "computation_method",
    "isParentCompany",
    "parent_company",
    "small_item_fee_perkm",
    "small_item_fee_fixed",
    "big_item_fee_perkm",
    "big_item_fee_fixed",
    "flagdownBigKM",
    "flagdownSmallKM",
    "in_house_small_per_km",
    "in_house_small_fixed",
    "in_house_big_per_km",
    "in_house_big_fixed",
    "in_house_flagdown_big_km",
    "in_house_flagdown_small_km",
    "seller_banner_image_upload",
  ];
}

function getProductMenusExcludes() {
  return ["upload_photo"];
}

function getProductsExcludes() {
  return ["seller_id", "menu_id", "variant"];
}

function getProductVariationsExcludes() {
  return ["product_id"];
}

function getProductSubVariationExcludes() {
  return ["product_variation_id"];
}

function getUserCartExcludes() {
  return [
    "menu_id",
    "user_id",
    "product_variation_id",
    "product_sub_variation_id",
  ];
}

function getProductUserCartExcludes() {
  return ["product_variation_id", "product_sub_variation_id"];
}

function agentCustomerDetailsExcludes() {
  return [
    "email",
    "password",
    "phone",
    "address",
    "longitude",
    "latitude",
    "verificationToken",
    "verificationTokenTimestamp",
  ];
}

module.exports = {
  getSellersCompanyExcludes,
  getProductMenusExcludes,
  getProductsExcludes,
  getProductVariationsExcludes,
  getProductSubVariationExcludes,
  getUserCartExcludes,
  getProductUserCartExcludes,
  agentCustomerDetailsExcludes,
};
